# BUYCheckoutType Constants Reference

Declared in | BUYStoreViewController.h

### BUYCheckoutType

#### Definition

`typedef NS_ENUM(NSUInteger, BUYCheckoutType ) {
BUYCheckoutTypeNormal,
BUYCheckoutTypeApplePay,
BUYCheckoutTypeCancel,
};`

#### Constants

`BUYCheckoutTypeNormal`

  Declared In `BUYStoreViewController.h`.

`BUYCheckoutTypeApplePay`

  Declared In `BUYStoreViewController.h`.

`BUYCheckoutTypeCancel`

  Declared In `BUYStoreViewController.h`.